#!/usr/bin/python
# (C)opyright 2004 Christoph Wegscheider <cw@wegi.net>
# See LICENSE file for license details.

import sys
import os
import time
import signal
import ixplib


default_sockfile = os.environ['HOME'] + '/.wmii/ixp/testserver.py-' + os.environ['DISPLAY']
server = ixplib.Server(default_sockfile)

pid = os.fork()
if pid == None:
	print "can't fork"
elif pid > 0:
	server.addfile('/hello_world')
	print "server starting ..."
	server.start()
else:
	try:
		while True:
			time.sleep(1)
	except:
		print "server stopping ..."
		os.kill(pid, signal.SIGTERM)
